org.hibernate.search.elasticsearch.settings.impl.translation

## Interface ElasticsearchAnalyzerDefinitionTranslator

- All Superinterfaces:
    Service
  All Known Implementing Classes:
    DefaultElasticsearchAnalyzerDefinitionTranslator

      public interface ElasticsearchAnalyzerDefinitionTranslator
      extends Service

  An object responsible for translating a Hibernate Search analyzer-related definition to Elasticsearch definitions.
  Author:
    Yoann Rodiere

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CharFilterDefinition` | `translate(CharFilterDef hibernateSearchDef)` Translate a char filter definition, throwing an exception if translation fails.
    `String` | `translate(Class<?> luceneClass)` Translate a Lucene analyzer class, throwing an exception if translation fails.
    `TokenFilterDefinition` | `translate(TokenFilterDef hibernateSearchDef)` Translate a token filter definition, throwing an exception if translation fails.
    `TokenizerDefinition` | `translate(TokenizerDef hibernateSearchDef)` Translate a tokenizer definition, throwing an exception if translation fails.

- - ### Method Detail

    - #### translate

          String translate(Class<?> luceneClass)

      Translate a Lucene analyzer class, throwing an exception if translation fails.
      Parameters:
        `luceneClass` - The Lucene analyzer class to be translated.
      Returns:
        The name of this analyzer type on Elasticsearch.
      Throws:
        `SearchException` - If an error occurs.

    - #### translate

          TokenizerDefinition translate(TokenizerDef hibernateSearchDef)

      Translate a tokenizer definition, throwing an exception if translation fails.
      Parameters:
        `hibernateSearchDef` - The Hibernate Search definition to be translated.
      Returns:
        The Elasticsearch translation.
      Throws:
        `SearchException` - If an error occurs.

    - #### translate

          CharFilterDefinition translate(CharFilterDef hibernateSearchDef)

      Translate a char filter definition, throwing an exception if translation fails.
      Parameters:
        `hibernateSearchDef` - The Hibernate Search definition to be translated.
      Returns:
        The Elasticsearch translation.
      Throws:
        `SearchException` - If an error occurs.

    - #### translate

          TokenFilterDefinition translate(TokenFilterDef hibernateSearchDef)

      Translate a token filter definition, throwing an exception if translation fails.
      Parameters:
        `hibernateSearchDef` - The Hibernate Search definition to be translated.
      Returns:
        The Elasticsearch translation.
      Throws:
        `SearchException` - If an error occurs.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved